import tkinter as tk
from tkinter import ttk
from matplotlib.figure import Figure
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg

# Función para crear el gráfico de barras
def plot_barchart():
    # Datos de ejemplo
    categories = ['A', 'B', 'C', 'D', 'E']
    values = [5, 7, 3, 8, 6]
    
    # Limpiamos la figura antes de redibujar el gráfico
    fig.clear()
    ax = fig.add_subplot(111)
    ax.bar(categories, values, color='skyblue')
    ax.set_title("Gráfico de Barras de Ejemplo")
    ax.set_xlabel("Categorías")
    ax.set_ylabel("Valores")
    
    # Actualizamos el canvas para mostrar el gráfico
    canvas.draw()

# Configuración de la ventana principal
root = tk.Tk()
root.title("Gráfico de Barras con Tkinter y Matplotlib")
root.geometry("1000x900")

# Creamos una figura de matplotlib
fig = Figure(figsize=(5, 4), dpi=100)
canvas = FigureCanvasTkAgg(fig, master=root)
canvas.get_tk_widget().pack(side=tk.TOP, fill=tk.BOTH, expand=1)

# Botón para mostrar el gráfico
plot_button = ttk.Button(root, text="Mostrar Gráfico de Barras", command=plot_barchart)
plot_button.pack(side=tk.BOTTOM, pady=20)

root.mainloop()
